Author Topic: when compiling codeblock on Red hat 5.3 I get an error.  (Read 5914 times)

bbarnea

  • Guest
when compiling codeblock on Red hat 5.3 I get an error.
« on: November 16, 2009, 05:04:48 pm »
Hi,

I try to compile codeblock on Linux Red hat 5.3.
I used Codeblocks Wiki for installation instructions, and I installed wxWidget as described....

after running ./configure in codeblocks directory,
When compiling codeblocks I get:
sc_io.cpp:158: error: 'wxOPEN' was not declared.

the compilation line is:
/bin/sh ../../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../../../src/include -I/opt/wx/2.9/lib/wx/include/gtk2-unicode-release-2.9 -I/opt/wx/2.9/include/wx-2.9 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread -I../../../../src/include -I../../../../src/include/wxscintilla/include -I../../../../src/include/scripting/include -I../../../../src/include/scripting/bindings -I../../../../src/include/scripting/sqplus  -Ulinux -Uunix  -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT sc_io.lo -MD -MP -MF .deps/sc_io.Tpo -c -o sc_io.lo sc_io.cpp
 g++ -DHAVE_CONFIG_H -I. -I../../../../src/include -I/opt/wx/2.9/lib/wx/include/gtk2-unicode-release-2.9 -I/opt/wx/2.9/include/wx-2.9 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread -I../../../../src/include -I../../../../src/include/wxscintilla/include -I../../../../src/include/scripting/include -I../../../../src/include/scripting/bindings -I../../../../src/include/scripting/sqplus -Ulinux -Uunix -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT sc_io.lo -MD -MP -MF .deps/sc_io.Tpo -c sc_io.cpp  -fPIC -DPIC -o .libs/sc_io.o
sc_io.cpp: In function 'wxString ScriptBindings::IOLib::ChooseFile(const wxString&, const wxString&, const wxString&)':
sc_io.cpp:158: error: 'wxOPEN' was not declared in this scope

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: when compiling codeblock on Red hat 5.3 I get an error.
« Reply #1 on: November 16, 2009, 06:15:59 pm »
Please use a newer copy of Code::Blocks from SVN;
Note: Code::Blocks svn trunk compiles against wxWidgets 2.9.0 under windows; fails under MAC.
Not sure about Linux.

Code::Blocks ( linked against wxWidgets 2.9.0) crashes under windows on exiting.

wxSmith still needs more work to compile.

Tim S.

C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

bbarnea

  • Guest
Re: when compiling codeblock on Red hat 5.3 I get an error.
« Reply #2 on: November 18, 2009, 10:21:26 am »
Thanks for your response.

I used the latest official version.
I installed as explained in CodeBlocks Wiki, the latest wxWidget (2.9)

In any case when I checkout from SVN
(using 'svn checkout svn://svn.berlios.de/codeblocks/trunk')

Than running:
./bootstrap
./configure --with-contrib-plugins=all
make

I get:
in the line:
g++ -DHAVE_CONFIG_H -I. -I. -I../../../src/include -I/opt/wx/2.9/lib/wx/include/gtk2-unicode-release-2.9 -I/opt/wx/2.9/include/wx-2.9 -D_FILE_OFFSET_BITS=64 -DWXUSINGDLL -D__WXGTK__ -pthread -I../../../src/include/wxscintilla/include -I../../../src/include -I../../../src/include/tinyxml -Ulinux -Uunix -O2 -ffast-math -DCB_AUTOCONF -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -fexceptions -MT tinywxuni.lo -MD -MP -MF .deps/tinywxuni.Tpo -c tinywxuni.cpp  -fPIC -DPIC -o .libs/tinywxuni.o

../../../src/include/wxscintilla/include/wx/wxscintilla.h:2148: error: conflicting declaration 'typedef long int wxIntPtr'
/opt/wx/2.9/include/wx-2.9/wx/defs.h:1110: error: 'wxIntPtr' has a previous declaration as 'typedef ssize_t wxIntPtr'

help...?
Thanks.

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: when compiling codeblock on Red hat 5.3 I get an error.
« Reply #3 on: November 18, 2009, 10:30:13 am »
What means the latest official version ?
The 8.02 release ?
If so try the latest svn version of C::B.

Alternatively you can download a tarball of the sources from my server (see signature or direct-link to the appropriate subfolder )

If you want to use wxWidgets 2.9, you do it on your own risk, it might or might not work.
It's a developper version and C::B is not (yet) fully compatible with it.
Better use wxWidgets 2.8.10 instead.

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6675
    • My Best Post
Re: when compiling codeblock on Red hat 5.3 I get an error.
« Reply #4 on: November 18, 2009, 03:00:53 pm »
Under windows, Code::Blocks SVN trunk is not yet fully 64 bit ready code when compiled against wxWidgets trunk 64 bit. I believe the Linux 64 bit is ready under Code::Blocks SVN trunk against wxWidgets 2.8.10.
I am a windows user; so, I am not sure about Linux.

Tim S.


 
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: when compiling codeblock on Red hat 5.3 I get an error.
« Reply #5 on: November 18, 2009, 03:07:28 pm »
Under windows, Code::Blocks SVN trunk is not yet fully 64 bit ready code when compiled against wxWidgets trunk 64 bit. I believe the Linux 64 bit is ready under Code::Blocks SVN trunk against wxWidgets 2.8.10.
I am a windows user; so, I am not sure about Linux.

Tim S.

I use C::B trunk (and test-branches) on 64-bit debian with 64-bit wxWidgets from apt.wxwidgets.org daily and there are no issues (at least no issues caused by the use of 64-libs).